#
# spec file for package ghc-githash
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name githash
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.1.6.2
Release:        bp155.2.16
Summary:        Compile git revision info into Haskell projects
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-th-compat-devel
ExcludeArch:    %{ix86}
%if %{with tests}
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-temporary-devel
BuildRequires:  ghc-unliftio-devel
%endif

%description
Compile git revision info into Haskell projects.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md

%changelog
* Mon Sep 20 2021 psimons@suse.com
- Update githash to version 0.1.6.2.
  [#]# 0.1.6.2
  * Fixed bugs; now this library's Template Haskell functions are much more
    likely on recompilation to detect Git update that doesn't affect workspace:
    e.g. `git switch -c <new_branch>` (equivalently
    `git checkout -b <new_branch>`) and `git commit --amend --only`.
    Implemented in [#23](https://github.com/snoyberg/githash/pull/23).
* Thu Jun 24 2021 psimons@suse.com
- Update githash to version 0.1.6.1.
  [#]# 0.1.6.1
  * [Support template-haskell 2.17](https://github.com/snoyberg/githash/pull/22)
* Wed Jun  9 2021 psimons@suse.com
- Update githash to version 0.1.6.0.
  [#]# 0.1.6.0
  * Always include patchlevel and hash in git-describe output
  * Don't let user's configured initial branch name break tests
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Tue Oct 27 2020 psimons@suse.com
- Update githash to version 0.1.5.0.
  [#]# 0.1.5.0
  * Add git tag output via git-describe
* Tue Sep  1 2020 psimons@suse.com
- Update githash to version 0.1.4.0.
  [#]# 0.1.4.0
  * Add git-describe output
* Mon Dec 23 2019 psimons@suse.com
- Add githash at version 0.1.3.3.
